/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * Copyright (c) KylinSoft Co., Ltd. 2019.All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef PICTUREBUTTON_H
#define PICTUREBUTTON_H

#include <QPushButton>

class PictureIconLabel;
class QLabel;
class PictureButton : public QPushButton
{
    Q_OBJECT
public:
    explicit PictureButton(const QString &name, QWidget *parent = nullptr);
    explicit PictureButton(const QString &name, const QPixmap &pixmap, QWidget *parent = nullptr);
    explicit PictureButton(QString name, QStringList iStringList, QWidget *parent = nullptr);
    explicit PictureButton(QString name, QList<QPixmap> iconList, QWidget *parent = nullptr);

    void initUi();
    void setConnect();
    void setRect(QSize size);
    void setPixmap(const QPixmap &pixmap);
    void setBtnClicked(bool status);
    void setStatus(bool status);
    QString getStyle(int border, int radius) const;
    QString getThemeName() const;

protected:
    void paintEvent(QPaintEvent *event) override;

private:
    PictureIconLabel * m_iconLabel;
    int m_radius = 8;
    int m_width = 146;
    int m_heigh = 126;
    QString m_clickedBtnStyle;
    QString m_enterBtnStyle;
    QString m_leaveBtnStyle;
    QString m_themeName;
};

#endif // PICTUREBUTTON_H
